@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

:root {
  --brown: #351c19;
  --beige: #e0d0c1;
  --light-beige: #eddfd5;
  --spacing: .25rem;
  --default-transition-timing-function: cubic-bezier(.4, 0, .2, 1);
  --default-transition-duration: .15s;
}

* {
    box-sizing: border-box;
    border: 0 solid;
    margin: 0;
    padding: 0;
}

body{
    font-family: 'Poppins', sans-serif;
    color: var(--brown);
}

html {
    -webkit-tap-highlight-color: transparent;
}

.background-image{
    background-image: url(/images/background.png);
    position: fixed;
    inset: 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: -1;
}

.hidden {
    display: none !important;
}

::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-thumb {
    background: var(--brown);
    border-radius: 10px;
}

::-webkit-scrollbar-track {
    background: transparent;
}

button{
    font-size: medium;
    font-family: 'Poppins';
}

.app-wrapper{
    position: relative;
    min-height: 100vh;
    min-height: 100dvh;
}

.app-content{
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    height: 100vh;
    height: 100dvh;
    overflow-y: auto;
}

.main-footer{
    display: flex;
    flex-direction: column;
    flex: 1;
}

.modal-backdrop {
    position: fixed;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    inset: 0px;
    background: rgba(0, 0, 0, 0.7);
    padding: 16px;
}

.modal-content {
    width: 50%;
    overflow-y: auto;
    position: relative;
    background: var(--beige);
    border-radius: 8px;
    padding: calc(var(--spacing) * 2);
}

.modal-main {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: calc(var(--spacing) * 4);
    padding: calc(var(--spacing) * 2);
    align-items: center;
}

.modal-nav {
    position: absolute;
    top: 16px;
    right: 16px;
    width: 20px;
    height: 20px;
}

.close-button {
    background: transparent;
    border: none;
    color: var(--brown);
    cursor: pointer;
    padding: 4px;
    transition: color .2s ease;
}

.modal-header {
    text-align: center;
}

.modal-info {
    display: flex;
    flex-direction: column;
}

.modal-table table {
    border-collapse: collapse;
}

th.duree {
    min-width: 90px;
}

th.prix {
    min-width: 60px;
}

.modal-table td,
.modal-table th {
    padding: calc(var(--spacing) * 2);
}

.modal-table thead {
    position: sticky;
    font-weight: bold;
    background-color: var(--brown);
    color: var(--light-beige);
}

.modal-table tr:nth-child(even) {
    background-color: var(--light-beige);
}

.td-center {
    text-align: center;
}

.modal-footer button {
    padding: 6px;
    border-radius: 8px;
    cursor: pointer;
    background-color: var(--brown);
    color: var(--light-beige);
}

/*-----------   NAVBAR    -----------*/
.navbar{
    background: var(--beige);
    padding-block: calc(var(--spacing) * 4);
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.2);
    width: 100%;
}

.nav-div{
    padding-inline: calc(var(--spacing) * 8);
    margin-inline: auto;
}

.nav-item{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-left,
.nav-right,
.nav-left-a{
    display: flex;
    align-items: center;
    gap: calc(var(--spacing) * 10);
}

.nav-left a,
.nav-right a {
    text-decoration: none;
    color: var(--brown);
}

.user-greeting{
    position: relative;
    display: inline-block;
    text-align: center;
    color: var(--brown);
}

.logout-button{
    border: none;
    cursor: pointer;
    align-items: center;
    background: transparent;
    color: var(--brown);
}

.dropdown-menu {
    display: none;
    position: absolute;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    z-index: 1;
    color: var(--brown);
    background: var(--beige);
}

.dropdown-menu a,
.dropdown-menu form {
    display: block;
    padding: 12px 16px;
    text-decoration: none;
}

.dropdown-menu a:hover,
.dropdown-menu form:hover {
    background-color: var(--light-beige);
    border-radius: 5px;
    cursor: pointer;
}

.user-greeting:hover .dropdown-menu {
    display: flex;
}

.logo {
    display: flex;
    justify-content: center;
}

.logo img {
    height: 60px;
    width: auto;
}

.nav-phone{
    display: none;
}

.brown-bar {
    height: calc(var(--spacing) * .5);
    width: calc(var(--spacing) * 6);
    transition: transform 0.3s ease, opacity 0.3s ease;
    background: var(--brown);
}

.nav-phone.active .brown-bar:nth-child(1) {
    transform: rotate(45deg) translate(5px, 6px);
}

.nav-phone.active .brown-bar:nth-child(2) {
    opacity: 0;
}

.nav-phone.active .brown-bar:nth-child(3) {
    transform: rotate(-45deg) translate(5px, -6px);
}

.phone-dropdown-menu{
    display: none;
    flex-direction: column;
    gap: calc(var(--spacing) * 4);
    margin-top: calc(var(--spacing) * 4);
}

.phone-dropdown-menu a{
    text-decoration: none;
    color: var(--brown);
}

.menu-account{
    display: flex;
    flex-direction: column;
    gap: calc(var(--spacing) * 4);
    color: var(--brown);
}

.menu-account a,
.menu-account button{
    display: flex;
    align-items: center;
    gap: calc(var(--spacing) * 2);
    text-align: left;
}

.menu-connexion {
    display: flex;
    flex-direction: column;
    border-top-style: solid;
    border-top-width: 1px;
    border-color: var(--brown);
    margin-top: calc(var(--spacing) * 2);
    padding-top: calc(var(--spacing) * 4);
}

.main{
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: calc(var(--spacing) * 8);
    gap: calc(var(--spacing) * 8);
}

.site-footer {
    flex-shrink: 0;
    padding: 1rem 1.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.site-footer a{
    color: var(--brown);
    text-decoration: none;
}

.site-footer a:hover{
    color: var(--beige);
}

/*-----------   Insta logo    -----------*/

.instagram-fixed {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 1000;
}

.instagram-fixed img {
    width: 40px;
    height: 40px;
    object-fit: contain;
    transition: transform 0.2s ease, opacity 0.2s ease;
}

.instagram-fixed img:hover {
    transform: scale(1.1);
    opacity: 0.85;
}

/*-----------   Index    -----------*/

.intro {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem;
}

.intro img {
    width: 40%;
}

.presta {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 1rem;
    width: 50%;
    border-radius: 5px;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.2);
    background: var(--beige);
    color: var(--brown);
}

.presta img{
    width: 100%;
}

/*-----------   Prestations    -----------*/

.prestations-section h2{
    color: var(--brown);
}

#prestations-list {
    max-height: 340px;
    padding: 0.2rem;
    overflow-y: auto;
}

.prestation-item {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    padding-block: calc(var(--spacing));
    padding-inline: calc(var(--spacing) * 2);
    background: var(--beige);
    color: var(--brown);
    margin-bottom: 10px;
    border: 2px solid var(--brown);
    border-radius: 8px;
    cursor: pointer;
}

.prestation-item > div {
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: space-between;
}

.prestation-prixduree {
    min-width: fit-content;
    display: flex;
    flex-direction: column;
    padding-inline: calc(var(--spacing) * 2);
}

.prestation-item input[type="checkbox"] {
    margin-right: 10px;
    accent-color: var(--brown);
    transform: scale(1.2);
}

.prestation-price,
.prestation-item input[type="checkbox"]:checked + div {
    font-weight: bold;
}

/*-----------   Calendrier    -----------*/

.calendar {
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.2);
    background-color: var(--beige);
    color: var(--brown);
}

.calendar-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}

.calendar-header button {
    background: none;
    border: none;
    font-size: 1.2rem;
    cursor: pointer;
    color: var(--brown);
}

.calendar-days,
#calendar-grid {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    text-align: center;
}

.calendar-days div {
    font-weight: 600;
    padding: 0.5rem 0;
}

.day {
    padding: 0.8rem;
    border-radius: 8px;
    cursor: pointer;
}

.day:hover {
    background: var(--light-beige);
}

.day.selected {
    background: var(--brown);
    color: var(--light-beige);
}

.day.past,
.day.sunday {
    background: var(--light-beige);
    color: #351c1982;
    cursor: not-allowed;
    pointer-events: none;
}

/*-----------   Time slots    -----------*/

.time-slots {
    display: flex;
    flex-direction: column;
    width: 95%;
    gap: 20px;
    padding: 20px;
    text-align: center;
    border-radius: 8px;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.2);
    background: var(--beige);
    color: var(--brown);
}

.time-slots h3{
    padding: 5px;
}

.time-slot {
    background: var(--light-beige);
    border: 2px solid var(--light-beige);
    border-radius: 8px;
    padding: 2px;
    cursor: pointer;
}

#slots {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0.5rem;
    max-height: 180px;
    overflow-y: auto;
}

.time-slot:hover {
    border-color: var(--brown);
}

.time-slot.selected {
    background: var(--brown);
    color: var(--light-beige);
}

.button-section {
    position: fixed;
    bottom: calc(var(--spacing) * 2);
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
}

.button-resa {
    padding: 0.6rem;
    text-align: center;
    border: 2px solid var(--brown);
    border-radius: 8px;
    background: var(--brown);
    color: var(--light-beige);
    cursor: pointer;
    font-size: 0.9rem;
}

.button-resa:hover {
    background: var(--beige);
    border: 2px solid var(--beige);
    color: var(--brown);
}

/*-----------   Login/Register   -----------*/

.login {
  display: flex;
  justify-content: center;
}

.login-container {
    width: 100%;
    max-width: 350px;
    margin-top: 10rem;
    padding: 2rem;
    border-radius: 5px;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.2);
    background: var(--beige);

}

.login-container h2 {
    text-align: center;
    margin-bottom: 1.5rem;
    color: var(--brown);
}

.login-container input {
    box-sizing: border-box;
    width: 100%;
    padding: 0.8rem;
    margin-bottom: 1rem;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.login-container button {
  width: 100%;
  padding: 0.8rem;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  background: var(--brown);
  color: var(--light-beige);
}

.login-container button:hover {
    opacity: 0.9;
}

.button-register{
    margin-top: 1rem;
    text-align: center;
}

.button-register a{
    color: var(--brown);
}

#error {
  margin-top: 1rem;
  color: red;
  text-align: center;
}

/*-----------   Client   -----------*/

.client-info{
    margin-top: 1rem;
    padding: 1rem;
    text-align: center;
    color: var(--brown);
}

.historique-rdv-section{
    text-align: center;
    margin-top: 1rem;
    padding: 1rem;
    border-radius: 5px;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.2);
    background: var(--beige);
    color: var(--brown);
}

.historique-rdv-section h2{
    padding: calc(var(--spacing) * 4);
}

#reservations-table {
    width: 100%;
    border-collapse: collapse;
}

#reservations-table th,
#reservations-table td {
    padding: 10px 5px;
    text-align: center;
}

#reservations-table thead {
    position: sticky;
    font-weight: bold;
    background-color: var(--brown);
    color: var(--light-beige);
}

#reservations-table tr{
    display: table;
    table-layout: fixed;
    width: 100%;
}

#reservations-table tr:nth-child(even) {
    background-color: var(--light-beige);
}

#reservations-list {
    display: block;
}

.actions {
    display: flex;
    flex-direction: column;
    gap: calc(var(--spacing) * 2);
}

.actions button {
    padding: 6px 0px;
    border-radius: 8px;
    cursor: pointer;
    background-color: var(--brown);
    color: var(--light-beige);
}

.actions button:hover {
    background-color: var(--light-beige);
    color: var(--brown);
}

/*-----------   Admin   -----------*/

.agenda-container {
    width: 50%;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.2);
    background-color: var(--beige);
}

.agenda-container h3{
    text-align: center;
}

.agenda {
    display: flex;
    position: relative;
    height: 1000px;
    margin-top: 20px;
}

.time-scale {
    position: absolute;
    left: 0;
    width: 50px;
    height: 100%;
    border-right: 1px solid #ddd;
}

.time-marker {
    position: absolute;
    width: 100%;
    padding-right: 10px;
    transform: translateY(-50%);
    text-align: center;
    font-size: 12px;
    color: var(--brown);
}

.appointments-container {
    position: relative;
    flex: 1;
    margin-left: 50px;
    border-radius: 5px;
}

.appointment {
    position: absolute;
    width: 100%;
    padding: 5px 10px;
    border-radius: 8px;
    box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.2);
    font-size: 12px;
    cursor: pointer;
    background-color: var(--brown);
    color: var(--light-beige);
    z-index: 1;
}

.time-line {
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: #ddd;
}

/* Mobiles */
@media (max-width: 768px) {
    .modal-content {
        width: 90vw;
    }

    .nav-div{
        padding-inline: calc(var(--spacing) * 4);
        margin-inline: auto;
    }

    .nav-left-a,
    .nav-right,
    .logo{
        display: none;
    }

    .phone-dropdown-menu{
        display: flex;
    }

    .nav-phone{
        display: flex;
        flex-direction: column;
        background-color: transparent;
        border: 0 none;
        padding: calc(var(--spacing) * 2);
        gap: calc(var(--spacing) * 1.5);
        cursor: pointer;
    }

    #prestations-list {
        max-height: 280px;
    }

    .presta{
        width: 100%;
    }

    .presta-resa-lines {
        max-height: 340px;
    }

    .presta-resa-columns {
        grid-template-columns: 1fr;
    }

    .main {
        padding: calc(var(--spacing) * 2);
        margin-top: calc(var(--spacing) * 4);
    }

    #slots {
        grid-template-columns: repeat(2, 1fr);
    }

    .agenda-container {
        width: 100%;
    }
}

